This endpoint allows you to create identity verification.
cURL
curl --request POST \ --url https://processor-prod.up.railway.app/identity \ --header 'Content-Type: application/json' \ --header 'x-service-key: <api-key>' \ --data ' { "type": "BVN", "name": "John Doe", "details": { "bvn": "1234567890", "dob": "01-05-1990" } } '
{ "success": true, "status": 201, "message": "Identity created successfully", "timestamp": "2025-09-08T19:26:31.532Z", "data": { "id": "68bf2de7196a18d7bd165ffb", "link": null } }
Documentation IndexFetch the complete documentation index at: https://docs.bread.africa/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
Use this file to discover all available pages before exploring further.
Type of identity verification
BVN
NIN
Link
"BVN"
Full name of the identity holder
"John Doe"
Identity details based on type
Show child attributes
Identity created successfully
true
201
"Identity created successfully"
"2025-09-08T19:26:31.532Z"